body {
  font-family: 'Arial', sans-serif;
  background-color: #efbcbc;
  color: #ffc1c1;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-shadow: 1px 1px 1px #000;
  text-align: center;
  justify-content: center;
  min-height: 100vh;
  background-image: url('image/icon.png');
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
  margin: 0 auto 10px; /* Reduced margin */
}

.container1 {
  width: 500px; /* Uniform width */
  margin: 0 auto; /* Centered */
}

.container {
  width: 300px; /* Uniform width */
  margin: 0 auto; /* Centered */
}

.image-container {
  position: relative;
  overflow: hidden;
  border-radius: 20px;
  margin-bottom: 10px; 
}

.image-container img {
  width: 100%;
  height: auto;
}

.overlay-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #fff;
  font-size: 18px;
  font-weight: bold;
  text-shadow: 2px 2px 2px rgba(0, 0, 0, 0.5);
  text-align: center;
  width: 100%;
  margin: 0;
  padding: 10px;
  background: rgba(0, 0, 0, 0.7);
  border-radius: 8px;
  box-sizing: border-box;
}

header {
  background-color: #333;
  color: rgb(255, 228, 228);
  text-align: center;
  text-shadow: 1px 1px 1px #000;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

nav {
  background-color: #333;
  color: rgb(255, 221, 221);
  text-shadow: 1px 1px 1px #000;
  text-align: center;
  padding: 20px;
  display: flex;
  justify-content: center;
}

nav ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: flex;
  color: #efbcbc;
}

nav li {
  margin: 0 10px;
}

nav a {
  text-decoration: none;
  color: rgb(255, 223, 223);
  text-shadow: 1px 1px 1px #000;
  font-weight: bold;
  align-items: center;
}

main, section {
  margin-bottom: 20px;
  color: #fff8f8;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.flex_item {
  padding: 10px;
  margin: 10px;
  background-color: rgb(227, 166, 166);
  color: #f5b4b4;
}

.flex {
  display: flex;
  padding: 10px;
  margin: 10px;
}

#column {
  background-color: #000;
  flex-direction: column;
}

#row {
  background-color: #fccfcf;
  flex-direction: row;
}

.footer {
  display: flex;
  justify-content: center;
  align-items: center;
  background: black;
  height: 100px;
}

.footer a {
  padding: 20px 40px;
  font-family: 'Arial', sans-serif;
  text-decoration: none;
}

@media only screen and (max-width: 768px) {
  h1, p {
    padding: 30px; /* Adjusted padding for smaller screens */
  }
}

@media only screen and (max-width: 480px) {
  h1, p {
    padding: 20px; /* Adjusted padding for smaller screens */
  }
}
